notbugAs an Amazon Associate I earn from qualifying purchases.
Want a good read? Try FreeBSD Mastery: Jails (IT Mastery Book 15)
Want a good monitor light? See my photosAll times are UTC
Ukraine
This referral link gives you 10% off a Fastmail.com account and gives me a discount on my Fastmail account.

Get notified when packages are built

A new feature has been added. FreshPorts already tracks package built by the FreeBSD project. This information is displayed on each port page. You can now get an email when FreshPorts notices a new package is available for something on one of your watch lists. However, you must opt into that. Click on Report Subscriptions on the right, and New Package Notification box, and click on Update.

Finally, under Watch Lists, click on ABI Package Subscriptions to select your ABI (e.g. FreeBSD:14:amd64) & package set (latest/quarterly) combination for a given watch list. This is what FreshPorts will look for.

non port: devel/alf/Makefile

Number of commits found: 20

Monday, 29 Jan 2018
12:56 bapt search for other commits by this committer
Deprecate some abandonware
Original commitRevision:460298 
Monday, 11 Dec 2017
16:54 antoine search for other commits by this committer
- Those ports fail to build with python3
- Add some explicit FLAVOR to dependencies where needed
Original commitRevision:456050 
Sunday, 2 Aug 2015
15:03 tijl search for other commits by this committer
By default libtool replaces -export-symbols <file> with -retain-symbols-file
<file> on ELF systems, but this doesn't really do what -export-symbols is
meant to do.  On GNU ELF systems it converts <file> to a simple version
script first and then uses -version-script instead of -retain-symbols-file.
Let USES=libtool patch libtool scripts to do this on all systems with GNU
ld(1).

Bump PORTREVISION on all ports where the build log contains -export-symbols.

audio/calf: This port builds a module that now exports only one function,
but it also builds a number of executables that link to this module and
expect to see other functions.  Because it's already a bit dodgy to link to
a module (libtool warns about this) let the module continue to export only
one function and instead build an ordinary library from the same source that
the executables can link to.  Fix a number of other issues in the same
Makefile.am and clean up the port Makefile.

japanese/scim-honoka: Tries to hide all symbols that start with an
underscore, but because this library is written in C++ all symbols start
with _Z so it ends up hiding everything.  Just don't hide anything at all
like the textproc/scim configure script does.

multimedia/schroedinger: Apply an upstream patch.

textproc/scim-input-pad: Same as japanese/scim-honoka.

PR:		201922
Approved by:	portmgr (antoine)
Exp-run by:	antoine
Original commitRevision:393429 
Monday, 20 Oct 2014
16:04 mva search for other commits by this committer
- Convert ports of devel/ to USES=python

Approved by:	portmgr (implicit)
Original commitRevision:371280 
Friday, 30 May 2014
18:43 amdmi3 search for other commits by this committer
- Switch to USES=libtool, drop .la files
- Strip libraries
Original commitRevision:355895 
Tuesday, 10 Dec 2013
20:57 bapt search for other commits by this committer
Support stage
Original commitRevision:336110 
Friday, 20 Sep 2013
17:03 bapt search for other commits by this committer
Add NO_STAGE all over the place in preparation for the staging support (cat:
devel part 1)
Original commitRevision:327722 
Saturday, 4 Dec 2010
07:34 ade search for other commits by this committer
Sync to new bsd.autotools.mk
Original commit
Saturday, 22 Aug 2009
00:18 amdmi3 search for other commits by this committer
- Switch SourceForge ports to the new File Release System: categories starting
with D
Original commit
Sunday, 2 Aug 2009
19:36 mezz search for other commits by this committer
-Repocopy devel/libtool15 -> libtool22 and libltdl15 -> libltdl22.
-Update libtool and libltdl to 2.2.6a.
-Remove devel/libtool15 and devel/libltdl15.
-Fix ports build with libtool22/libltdl22.
-Bump ports that depend on libltdl22 due to shared library version change.
-Explain what to do update in the UPDATING.

It has been tested with GNOME2, XFCE4, KDE3, KDE4 and other many wm/desktop
and applications in the runtime.

With help:      marcus and kwm
Pointyhat-exp:  a few times by pav
Tested by:      pgollucci, "Romain Tartière" <romain@blogreen.org>, and
                a few MarcusCom CVS users. Also, I might have missed a few.
Repocopy by:    marcus
Approved by:    portmgr
Original commit
Thursday, 1 Feb 2007
02:42 kris search for other commits by this committer
Use libtool port instead of included version to avoid objformat a.out botch
Original commit
Monday, 14 Aug 2006
22:55 clsung search for other commits by this committer
- s,INSTALLS_SHLIB,USE_LDCONFIG,g
- these include comms/ converters/ databases/ devel/ maintained by ports@

PR:             ports/101916
Submitted by:   Gea-Suan Lin <gslin_AT_gslin dot org>
Original commit
Thursday, 23 Feb 2006
10:40 ade search for other commits by this committer
Conversion to a single libtool environment.

Approved by:    portmgr (kris)
Original commit
Tuesday, 15 Nov 2005
06:52 ade search for other commits by this committer
Mass-conversion to the USE_AUTOTOOLS New World Order.  The code present
in bsd.autotools.mk essentially makes this a no-op given that all the
old variables set a USE_AUTOTOOLS_COMPAT variable, which is parsed in
exactly the same way as USE_AUTOTOOLS itself.

Moreover, USE_AUTOTOOLS has already been extensively tested by the GNOME
team -- all GNOME 2.12.x ports use it.

Preliminary documentation can be found at:
        http://people.FreeBSD.org/~ade/autotools.txt

which is in the process of being SGMLized before introduction into the
Porters Handbook.

Light blue touch-paper.  Run.
Original commit
Friday, 28 Oct 2005
13:09 vs search for other commits by this committer
Set INSTALLS_SHLIB
Original commit
Tuesday, 31 May 2005
17:52 oliver search for other commits by this committer
change the libtool version to use from 1.3 to 1.5
Original commit
Friday, 9 Jul 2004
17:43 marcus search for other commits by this committer
Apply a big libtool patch to allow porters to use the libtool installed by
the libtoolX ports instead of the one included with each port.  Ports that
set USE_LIBTOOL_VER=X will now use the ports version of libtool instead of
the included version.  To restore previous behavior, use the new macro,
USE_INC_LIBTOOL_VER.  Both macros accept the same argument: a libtool version.

For example, to use the ports version of libtool-1.5, add the following to
your Makefile:

USE_LIBTOOL_VER=        15

To use the included version of libtool with extra hacks provided by
libtool-1.5, add the following to your Makefile:

USE_INC_LIBTOOL_VER=    15

With this change, ports that had to add additional libtool hacks to prevent
.la files from being installed or to fix certain threading issues can now
delete those hacks (after appropriate testing, of course).

PR:             63944
Based on work by:eik and marcus
Approved by:    ade (autotools maintainer)
Tested by:      kris on pointyhat
Bound to be hidden problems:    You bet
Original commit
Sunday, 14 Mar 2004
06:17 ade search for other commits by this committer
Whoa there, boy, that's a mighty big commit y'all have there...

Begin autotools sanitization sequence by requiring ports to explicitly
specify which version of {libtool,autoconf,automake} they need, erasing
the concept of a "system default".

For ports-in-waiting:

        USE_LIBTOOL=YES         ->      USE_LIBTOOL_VER=13
        USE_AUTOCONF=YES        ->      USE_AUTOCONF_VER=213
        USE_AUTOMAKE=YES        ->      USE_AUTOMAKE_VER=14

Ports attempting to use the old style system after June 1st 2004 will be
sorely disappointed.
Original commit
Thursday, 20 Feb 2003
17:07 knu search for other commits by this committer
De-pkg-comment.
Original commit
Wednesday, 4 Sep 2002
12:19 ijliao search for other commits by this committer
add alf 0.1
Abstract Large File
Original commit

Number of commits found: 20